<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Search extends CI_Controller {

	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -  
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in 
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see http://codeigniter.com/user_guide/general/urls.html
	 */
	public function index()
	{
                $search=$this->uri->segment(2);
                $page = ($this->uri->segment(3)) ? $this->uri->segment(3) : 0;
		$this->load->model('categories_model');
		$parent_categories=$this->categories_model->getParentCategories();
		$data['parent_categories']=$parent_categories;
		$this->load->model('postings_model');
                $perpage=10;
		$listings=$this->postings_model->searchListings($search,$perpage,$page);
		$data['search']=$search;
		$total=$listings['total_rec'];
                
                $config["base_url"] = base_url() . "search/".$search;
		$config["total_rows"] = $total;
        	$config["per_page"] = $perpage;
                $config["uri_segment"]=3;
                
                
		$this->pagination->initialize($config);
                
                $data["links"] = $this->pagination->create_links();
		$data['listings']=$listings['result'];
		$data['main_content']='list';
		$data['title']='Listings';
		$data['bodyid']='listings';
		$this->load->view('template',$data);
		
	}
}

/* End of file welcome.php */
/* Location: ./application/controllers/welcome.php */